import request from '@/utils/request'

export function listDisassembly(query) {
  return request({
    url: '/warehouse-disassembly/page',
    method: 'get',
    params: query
  })
}

export function executeDisassembly(query) {
  return request({
    url: '/warehouse-disassembly/execute',
    method: 'post',
    params: query
  })
}

export function createDisassembly(data) {
  return request({
    url: '/warehouse-disassembly/add',
    method: 'post',
    data
  })
}

export function readDisassembly(query) {
  return request({
    url: '/warehouse-disassembly/info',
    method: 'get',
    params: query
  })
}

export function updateDisassembly(data) {
  return request({
    url: '/warehouse-disassembly/edit',
    method: 'post',
    data
  })
}

export function deleteDisassembly(query) {
  return request({
    url: '/warehouse-disassembly/remove',
    method: 'post',
    params: query
  })
}

export function cancelDisassembly(query) {
  return request({
    url: '/warehouse-disassembly/cancel',
    method: 'post',
    params: query
  })
}
